Get Replicated Array Pair
Get information about a replicated array pair that is part of a given pairing.
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of the SRM instance to manage inventory mappings for
The ID of a replicated array pair.
Get information about a replicated array pair that is part of a given pairing.
{
"id": "string",
"name": "string",
"has_replicated_datastores": false,
"discovering_devices": false,
"stretched_storage_supported": false,
"local_array_manager": {
"name": "string",
"id": "string",
"storage_adapter": {
"id": "string",
"version": "string",
"name": "string",
"vendor": "string",
"vendor_url": "string",
"peer_storage_adapter": {
"id": "string",
"version": "string"
},
"storage_array_key": "string",
"storage_array_name": "string",
"connection_spec_address": "string",
"ping_status": "string",
"ping_fault": "string",
"ping_date": "string",
"peer_storage_array_key": "string"
}
},
"remote_array_manager": {
"name": "string",
"id": "string",
"storage_adapter": {
"id": "string",
"version": "string",
"name": "string",
"vendor": "string",
"vendor_url": "string",
"peer_storage_adapter": {
"id": "string",
"version": "string"
},
"storage_array_key": "string",
"storage_array_name": "string",
"connection_spec_address": "string",
"ping_status": "string",
"ping_fault": "string",
"ping_date": "string",
"peer_storage_array_key": "string"
}
},
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/replication-management/abr/array-pairs/{array_pair_id}